| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::Lod0Stripifier Class Reference

`#include <OgreLod0Stripifier.h>`

## Classes
struct | RemapInfo

## Public Member Functions
| Lod0Stripifier ()
| ~Lod0Stripifier ()
bool | StripLod0Vertices (const MeshPtr &mesh, bool stableVertexOrder=false)

## Constructor & Destructor Documentation

## ◆ Lod0Stripifier()

Ogre::Lod0Stripifier::Lod0Stripifier | ( |  | ) |
| inline

## ◆ ~Lod0Stripifier()

Ogre::Lod0Stripifier::~Lod0Stripifier | ( |  | ) |
| inline

## Member Function Documentation

## ◆ StripLod0Vertices()

bool Ogre::Lod0Stripifier::StripLod0Vertices | ( | const MeshPtr & | mesh,
|  | bool | stableVertexOrder = `false`
| ) |  |
| inline

References Ogre::Mesh::_setLodInfo(), Ogre::Mesh::_setLodUsage(), Ogre::Mesh::buildEdgeList(), Ogre::Mesh::freeEdgeList(), Ogre::Mesh::getAnimation(), Ogre::AnimationTrack::getHandle(), Ogre::Mesh::getLodLevel(), Ogre::MapIteratorWrapper< T, IteratorType >::getNext(), Ogre::Mesh::getNumAnimations(), Ogre::Mesh::getNumLodLevels(), Ogre::Mesh::getNumSubMeshes(), Ogre::Mesh::getPoseList(), Ogre::Mesh::getSubMesh(), Ogre::Pose::getTarget(), Ogre::Animation::getVertexTrackIterator(), Ogre::Mesh::hasManualLodLevel(), Ogre::IteratorWrapper< T, IteratorType, ValType >::hasMoreElements(), Ogre::SubMesh::indexData, Ogre::Mesh::isEdgeListBuilt(), Ogre::SubMesh::mLodFaceList, OGRE_DELETE, Ogre::Mesh::sharedVertexData, Ogre::SubMesh::useSharedVertices, and Ogre::SubMesh::vertexData.

The documentation for this class was generated from the following file:

- OgreLod0Stripifier.h